
FROM node:14

# Create app directory
WORKDIR /usr/src/app

# Install app dependencies
# A wildcard is used to ensure both package.json AND package-lock.json are copied
# where available (npm@5+)
COPY package*.json ./

RUN npm install
# If you are building your code for production
# RUN npm ci --only=production

# Bundle app source
COPY . .

ENV API_KEY  "test"

ENV SECRET "test" 

ENV SUB_ACCOUNT "test_sub"

EXPOSE 8080
CMD [ "node", "index.js" ]

